System.Web.Services 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Collections.CollectionBase To be added

Contains a collection of instances of the class.

- Constructor
  To be added

  Initializes a new instance of the class.

  1.0.5000.0
  2.0.0.0
- Method
  System.Int32 `` To be added

  Adds a to the .

  The position at which the was inserted.

  The to add to the . 1.0.5000.0 2.0.0.0
- Method
  System.Boolean `` To be added

  Determines whether the contains a specific .

  true if the value of the parameter is found in the ; otherwise, false.

  The to locate in the . 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` To be added

  Copies the elements of the to an , starting at a particular index of the .

  The one-dimensional that is the destination of the elements copied from . The array must have zero-based indexing. The zero-based index in the parameter at which copying begins. 1.0.5000.0 2.0.0.0
- Method
  System.Int32 `` To be added

  Determines the index of the in the .

  The index of the parameter, if found in the ; otherwise, -1.

  The to locate in the . 1.0.5000.0 2.0.0.0
- Method
  System.Void `` ``

  If the parameter equals the number of items in the collection, then the is appended to the end of the collection.

  The elements after the insertion point move down to accommodate the new element.

  Inserts a into the at the specified index.

  The zero-based index at which to insert the into the . The to insert into the . 1.0.5000.0 2.0.0.0
- Property
  System.Web.Services.Protocols.SoapHeader `` To be added: an object of type 'int' To be added To be added: an object of type 'SoapHeader' To be added 1.0.5000.0 2.0.0.0
- Method
  System.Void ``

  The elements that follow the removed move up to occupy the vacated spot.

  Removes the first occurrence of a specific from the .

  The to remove from the . 1.0.5000.0 2.0.0.0